{latitude},{longitude}

API: weather.gov:national-weather-service-api
Endpoint: /points/{latitude},{longitude}
Response format: application/geo+json
Auth: unknown
Method: GET
Last Status: 200
Latency: 242ms

Description

Returns metadata about a given latitude/longitude point

Parameters (2)

latitude (number, path, required)

Latitude

Constraints: {'minimum': -90, 'maximum': 90, 'multipleOf': 0.0001}

longitude (number, path, required)

Longitude

Constraints: {'minimum': -180, 'maximum': 180, 'multipleOf': 0.0001}

Examples (3)

Get weather point data for New York City curl
curl 'https://api.weather.gov/points/40.7128,-74.0060'
import requests

resp = requests.get("https://api.weather.gov/points/40.7128,-74.0060")
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("points/{latitude},{longitude}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/points/40.7128,-74.0060");
const data = await resp.json();
Get weather point data for Los Angeles curl
curl 'https://api.weather.gov/points/34.0522,-118.2437'
import requests

resp = requests.get("https://api.weather.gov/points/34.0522,-118.2437")
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("points/{latitude},{longitude}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/points/34.0522,-118.2437");
const data = await resp.json();
Get weather point data for Chicago curl
curl 'https://api.weather.gov/points/41.8781,-87.6298'
import requests

resp = requests.get("https://api.weather.gov/points/41.8781,-87.6298")
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("points/{latitude},{longitude}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/points/41.8781,-87.6298");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 07:01:10.930096 200 242ms
2026-04-04 06:53:00.723250 200 262ms
2026-04-04 02:31:20.241519 200 233ms
2026-04-03 14:43:12.951770 200 252ms
2026-04-03 14:02:37.471350 200 279ms
2026-04-03 13:30:19.313722 200 230ms
2026-03-30 07:35:42.807980 200 268ms
2026-03-30 07:31:36.247776 200 244ms
2026-03-30 07:13:12.148088 200 284ms
2026-03-29 15:36:10.178868 200 279ms
2026-03-29 14:48:37.509671 200 242ms
2026-03-29 14:04:10.508052 200 216ms
2026-03-23 09:22:35.747528 200 169ms
2026-03-22 21:13:15.591766 200 153ms
2026-03-22 21:11:12.707829 200 253ms